package net.northking.cctp.common.db;

import java.io.Serializable;
import java.util.List;

/**
 * @Title:
 * @Description:
 * @Company: 京北方信息技术股份有限公司
 * @Author: 谢秀松
 * @CreateDate: 2018/3/19
 * @UpdateUser:
 * @Version: 1.0
 */
public interface Pagination<T> extends Serializable
{

  int getPageSize();

  void setPageSize(int pageSize);

  int getPageCount();

  long getRecordCount();

  void setRecordCount(long recordCount);

  int getPageNo();

  void setPageNo(int curPage);

  long getStartRecordNo();

  long getEndRecordNo();

  int getFirstPageNo();

  int getPrevPageNo();

  int getNextPageNo();

  int getLastPageNo();

  List<T> getRecords();

  void setRecords(List<T> data);

  boolean hasNextPage();
}
